aboutsummaryrefslogtreecommitdiff
path: root/x2goagent.features
diff options
context:
space:
mode:
Diffstat (limited to 'x2goagent.features')
-rw-r--r--x2goagent.features37
1 files changed, 37 insertions, 0 deletions
diff --git a/x2goagent.features b/x2goagent.features
new file mode 100644
index 000000000..12d62e01c
--- /dev/null
+++ b/x2goagent.features
@@ -0,0 +1,37 @@
+#!/bin/bash
+
+# Copyright (C) 2015, Mike Gabriel <mike.gabriel@das-netzwerkteam.de>
+#
+# This program is free software; you can redistribute it and/or modify
+# it under the terms of the GNU General Public License as published by
+# the Free Software Foundation; either version 2 of the License, or
+# (at your option) any later version.
+#
+# This program is distributed in the hope that it will be useful,
+# but WITHOUT ANY WARRANTY; without even the implied warranty of
+# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the
+# GNU General Public License for more details.
+#
+# You should have received a copy of the GNU General Public License
+# along with this program; if not, write to the
+# Free Software Foundation, Inc.,
+# 51 Franklin St, Fifth Floor, Boston, MA 02110-1301, USA.
+
+# silently bail out if X2Go Server is not installed
+if ! which x2gopath 1>/dev/null; then
+ exit 0
+fi
+
+X2GO_LIB_PATH="$(x2gopath libexec)";
+
+$X2GO_LIB_PATH/x2gosyslog "$0" "info" "$(basename $0) called with options: $@"
+
+X2GO_FEATURE=$1
+
+# check for X2Go Agent features
+case "$X2GO_FEATURE" in
+
+ "X2GOAGENT_RANDRXINERAMA") echo "ok"; exit 0;;
+ *) exit -1;;
+
+esac